SLABTOP(1)

BEZEICHNUNG
slabtop - zeigt Informationen zum Slab-Zwischenspeicher des Kernels in Echtzeit an

ÜBERSICHT
slabtop [Optionen]

BESCHREIBUNG
slabtop zeigt detaillierte Informationen zum Slab-Zwischenspeicher des Kernels in Echtzeit an. Es zeigt eine Liste der Top-Zwischenspeicher, nach einem der aufgeführten Kriterien sortiert. Außerdem werden Statistik-Kopfzeilen mit Slab-Ebenen-Informationen angezeigt.

OPTIONEN
Der normale Aufruf von slabtop erfordert keine Optionen. Sie können das Verhalten beeinflussen, indem Sie einen oder mehrere der folgenden Schalter angeben:

-d, --delay=N
    aktualisiert die Anzeige alle n Sekunden. Per Vorgabe aktualisiert slabtop die Anzeige alle drei Sekunden. Um das Programm zu beenden, drücken Sie q. Dies kann nicht mit der Option -o kombiniert werden.

-s, --sort=S
    sortiert nach S, wobei S eines der Suchkritieren ist.

-o, --once
    zeigt die Ausgabe einmal an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

-h, --help
    zeigt Informationen zur Benutzung an und beendet das Programm.

SORTIERKRITERIEN
Folgende Kriterien sind für die Sortierung der einzelnen Slab-Zwischenspeicher zulässig und bestimmen, welche die obersten Zwischenspeicher für die Anzeige sind. Die Voreinstellung ist die Sortierung nach der Anzahl der Objekte (»o«).

Die Sortierkriterien können auch angepasst werden, während slabtop läuft, indem Sie die Taste mit dem entsprechenden Zeichen drücken.
Zeichen | Beschreibung | Header
a | Anzahl der aktiven Objekte | ACTIVE
b | Objekte pro Slab | OBJ/SLAB
c | Cache-Größe | CACHE SIZE
l | Anzahl der Slabs | SLABS
v | Anzahl der aktiven Slabs | n.v.
n | Name | NAME
o | Anzahl der Objekte | OBJS
p | Seiten pro Slab | n.v.
s | Objektgröße | OBJ SIZE
u | Zwischenspeichernutzung | USE

BEFEHLE
slabtop akzeptiert Tastaturbefehle des Benutzers, während das Programm läuft. Die folgenden Befehle werden unterstützt, wobei für Buchstaben die Groß- oder Kleinschreibung nicht berücksichtigt wird.

Jedes der zulässigen Sortierzeichen wird zum Anpassen der Sortierroutine ebenfalls unterstützt. Siehe Abschnitt SORTIERKRITERIEN.

<LEERTASTE>
    aktualisiert den Bildschirm.

Q   beendet das Programm.

DATEIEN

/proc/slabinfo
    Slab-Information

SIEHE AUCH
free(1), ps(1), top(1), vmstat(8)

ANMERKUNGEN
Gegenwärtig benötigt slabtop einen Kernel der Version 2.4 oder neuer (speziell /proc/slabinfo in Version 1.1 oder neuer). Der Kernel 2.2 wird wahrscheinlich in zukünftigen Versionen unterstützt.

Die Statistik-Kopfzeile von slabtop verfolgt die Byte-Anzahl der genutzten Slabs, bezieht sich aber nicht auf den tatsächlichen physischen Speicher. Das »Slab«-Feld in der Datei /proc/meminfo enthält Informationen über den physischen Slab-Speicher.

The CACHE SIZE column is not accurate, it's the upper limit of memory used by specific slab. When system using slub (most common case) is under high memory pressure, there are slab order fallbacks, which means "pages per slab" is not constant and may decrease.

AUTOREN
Geschrieben von Chris Rivera und Robert Love.

slabtop wurde vom Perl-Skript vmtop von Martin Bligh inspiriert.

FEHLER MELDEN
Bitte schicken Sie Fehlermeldungen (auf Englisch) an procps@freelists.org